# Uses of Interface
org.eclipse.core.commands.contexts.IContextManagerListener

Packages that use IContextManagerListener
Package
Description
org.eclipse.core.commands.contexts
Application programming interfaces for contexts.
org.eclipse.jface.bindings
Provides support for bindings between commands and various user input events (e.g., keyboard shortcuts).
org.eclipse.ui.contexts
Provides support for integrating contexts into the Eclipse workbench.

## Uses of IContextManagerListener in org.eclipse.core.commands.contexts

Methods in org.eclipse.core.commands.contexts with parameters of type IContextManagerListener
Modifier and Type
Method
Description
`final void`
ContextManager.`addContextManagerListener(IContextManagerListener listener)`
Adds a listener to this context manager.
`final void`
ContextManager.`removeContextManagerListener(IContextManagerListener listener)`
Removes a listener from this context manager.

## Uses of IContextManagerListener in org.eclipse.jface.bindings

Classes in org.eclipse.jface.bindings that implement IContextManagerListener
Modifier and Type
Class
Description
`final class`
`BindingManager`
A central repository for bindings -- both in the defined and undefined states.

## Uses of IContextManagerListener in org.eclipse.ui.contexts

Methods in org.eclipse.ui.contexts with parameters of type IContextManagerListener
Modifier and Type
Method
Description
`void`
IContextService.`addContextManagerListener(IContextManagerListener listener)`
Adds a listener to this context service.
`void`
IContextService.`removeContextManagerListener(IContextManagerListener listener)`
Removes a listener from this context service.